Modify

Opened 7 years ago

Closed 7 years ago

#2876 closed defect (fixed)

policy.py for 0.11 has an incomplete import line

Reported by: anonymous Owned by: coderanger
Priority: highest Component: PrivateTicketsPlugin
Severity: blocker Keywords:
Cc: Trac Release: 0.11

Description

after install it throws a IPermissionPolicy is not defined message

file http://trac-hacks.org/svn/privateticketsplugin/0.11/privatetickets/policy.py

suggestion -from trac.perm import IPermissionRequestor, IPermissionPolicy +from trac.perm import IPermissionRequestor, IPermissionGroupProvider,IPermissionPolicy,PermissionSystem

Attachments (0)

Change History (3)

comment:1 follow-up: Changed 7 years ago by benbruscella

Thanks, this worked for me:

-from trac.perm import IPermissionRequestor, IPermissionPolicy 
+from trac.perm import IPermissionRequestor, IPermissionGroupProvider, IPermissionPolicy, PermissionSystem

comment:2 in reply to: ↑ 1 Changed 7 years ago by anonymous

Replying to benbruscella:

Thanks, this worked for me:

-from trac.perm import IPermissionRequestor, IPermissionPolicy 
+from trac.perm import IPermissionRequestor, IPermissionGroupProvider, IPermissionPolicy, PermissionSystem

This also worked for me. Thanks.

comment:3 Changed 7 years ago by coderanger

  • Resolution set to fixed
  • Status changed from new to closed

Fixed a while ago.

Add Comment

Modify Ticket

Action
as closed The owner will remain coderanger.
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.